Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.antlr.java
Class JavaRecognizer

Field Summary
`def` | `_tokenNames`
`BitSet` | `_tokenSet_0`
`BitSet` | `_tokenSet_1`
`BitSet` | `_tokenSet_10`
`BitSet` | `_tokenSet_11`
`BitSet` | `_tokenSet_12`
`BitSet` | `_tokenSet_13`
`BitSet` | `_tokenSet_14`
`BitSet` | `_tokenSet_15`
`BitSet` | `_tokenSet_16`
`BitSet` | `_tokenSet_17`
`BitSet` | `_tokenSet_18`
`BitSet` | `_tokenSet_19`
`BitSet` | `_tokenSet_2`
`BitSet` | `_tokenSet_20`
`BitSet` | `_tokenSet_21`
`BitSet` | `_tokenSet_22`
`BitSet` | `_tokenSet_23`
`BitSet` | `_tokenSet_24`
`BitSet` | `_tokenSet_25`
`BitSet` | `_tokenSet_26`
`BitSet` | `_tokenSet_27`
`BitSet` | `_tokenSet_28`
`BitSet` | `_tokenSet_29`
`BitSet` | `_tokenSet_3`
`BitSet` | `_tokenSet_30`
`BitSet` | `_tokenSet_31`
`BitSet` | `_tokenSet_32`
`BitSet` | `_tokenSet_33`
`BitSet` | `_tokenSet_34`
`BitSet` | `_tokenSet_35`
`BitSet` | `_tokenSet_36`
`BitSet` | `_tokenSet_37`
`BitSet` | `_tokenSet_38`
`BitSet` | `_tokenSet_39`
`BitSet` | `_tokenSet_4`
`BitSet` | `_tokenSet_40`
`BitSet` | `_tokenSet_41`
`BitSet` | `_tokenSet_42`
`BitSet` | `_tokenSet_43`
`BitSet` | `_tokenSet_44`
`BitSet` | `_tokenSet_45`
`BitSet` | `_tokenSet_46`
`BitSet` | `_tokenSet_47`
`BitSet` | `_tokenSet_48`
`BitSet` | `_tokenSet_5`
`BitSet` | `_tokenSet_6`
`BitSet` | `_tokenSet_7`
`BitSet` | `_tokenSet_8`
`BitSet` | `_tokenSet_9`
`GroovySourceAST` | `dummyVariableToforceClassLoaderToFindASTClass`
`JavaLexer` | `lexer`
`int` | `ltCounter`
`SourceBuffer` | `sourceBuffer`

Constructor Summary
`JavaRecognizer(TokenBuffer tokenBuf, int k)` Counts the number of LT seen in the typeArguments production.
`JavaRecognizer(TokenBuffer tokenBuf)`
`JavaRecognizer(TokenStream lexer, int k)`
`JavaRecognizer(TokenStream lexer)`
`JavaRecognizer(ParserSharedInputState state)`

Method Summary
`void` | `aCase()`
`void` | `additiveExpression()`
`void` | `andExpression()`
`void` | `annotation()`
`void` | `annotationArguments()`
`void` | `annotationBlock()`
`void` | `annotationDefinition(AST modifiers)`
`void` | `annotationField()`
`void` | `annotationMemberArrayInitializer()`
`void` | `annotationMemberArrayValueInitializer()`
`void` | `annotationMemberValueInitializer()`
`void` | `annotationMemberValuePair()`
`void` | `annotations()`
`void` | `anntotationMemberValuePairs()`
`void` | `argList()`
`void` | `arrayInitializer()`
`void` | `assignmentExpression()`
`void` | `buildTokenTypeASTClassMap()`
`void` | `builtInType()`
`void` | `builtInTypeArraySpec(boolean addImagNode)`
`void` | `builtInTypeSpec(boolean addImagNode)`
`void` | `caseSList()`
`void` | `casesGroup()`
`void` | `classBlock()`
`void` | `classDefinition(AST modifiers)`
`void` | `classField()`
`void` | `classOrInterfaceType(boolean addImagNode)`
`void` | `classTypeSpec(boolean addImagNode)`
`void` | `compilationUnit()`
`void` | `compoundStatement()`
`void` | `conditionalExpression()`
`void` | `constant()`
`void` | `constructorBody()`
`AST` | `create(int type, String txt, Token first, Token last)` Create an AST node with the token type and text passed in, but with the same background information as another supplied Token (e.g. line numbers) to be used in place of antlr tree construction syntax, i.e.
`void` | `ctorHead()`
`void` | `declaration()`
`void` | `declaratorBrackets(AST typ)`
`void` | `enumBlock()`
`void` | `enumConstant()`
`void` | `enumConstantBlock()`
`void` | `enumConstantField()`
`void` | `enumDefinition(AST modifiers)`
`void` | `equalityExpression()`
`void` | `exclusiveOrExpression()`
`void` | `explicitConstructorInvocation()` Catch obvious constructor calls, but not the expr.super(...) calls
`void` | `expression()`
`void` | `expressionList()`
`void` | `finallyClause()`
`void` | `forCond()`
`void` | `forEachClause()`
`void` | `forInit()`
`void` | `forIter()`
`void` | `forStatement()`
`JavaLexer` | `getLexer()`
`void` | `handler()`
`void` | `identPrimary()` Match a, a.b.c refs, a.b.c(...) refs, a.b.c[], a.b.c[].class, and a.b.c.class refs.
`void` | `identifier()`
`void` | `identifierStar()`
`void` | `implementsClause()`
`void` | `importDefinition()`
`void` | `inclusiveOrExpression()`
`void` | `initializer()`
`void` | `interfaceBlock()`
`void` | `interfaceDefinition(AST modifiers)`
`void` | `interfaceExtends()`
`void` | `interfaceField()`
`void` | `logicalAndExpression()`
`void` | `logicalOrExpression()`
`static JavaRecognizer` | `make(JavaLexer lexer)` This factory is the correct way to wire together a Groovy parser and lexer.
`static JavaRecognizer` | `make(InputStream in)`
`static JavaRecognizer` | `make(Reader in)`
`static JavaRecognizer` | `make(InputBuffer in)`
`static JavaRecognizer` | `make(LexerSharedInputState in)`
`static def` | `mk_tokenSet_0()`
`static def` | `mk_tokenSet_1()`
`static def` | `mk_tokenSet_10()`
`static def` | `mk_tokenSet_11()`
`static def` | `mk_tokenSet_12()`
`static def` | `mk_tokenSet_13()`
`static def` | `mk_tokenSet_14()`
`static def` | `mk_tokenSet_15()`
`static def` | `mk_tokenSet_16()`
`static def` | `mk_tokenSet_17()`
`static def` | `mk_tokenSet_18()`
`static def` | `mk_tokenSet_19()`
`static def` | `mk_tokenSet_2()`
`static def` | `mk_tokenSet_20()`
`static def` | `mk_tokenSet_21()`
`static def` | `mk_tokenSet_22()`
`static def` | `mk_tokenSet_23()`
`static def` | `mk_tokenSet_24()`
`static def` | `mk_tokenSet_25()`
`static def` | `mk_tokenSet_26()`
`static def` | `mk_tokenSet_27()`
`static def` | `mk_tokenSet_28()`
`static def` | `mk_tokenSet_29()`
`static def` | `mk_tokenSet_3()`
`static def` | `mk_tokenSet_30()`
`static def` | `mk_tokenSet_31()`
`static def` | `mk_tokenSet_32()`
`static def` | `mk_tokenSet_33()`
`static def` | `mk_tokenSet_34()`
`static def` | `mk_tokenSet_35()`
`static def` | `mk_tokenSet_36()`
`static def` | `mk_tokenSet_37()`
`static def` | `mk_tokenSet_38()`
`static def` | `mk_tokenSet_39()`
`static def` | `mk_tokenSet_4()`
`static def` | `mk_tokenSet_40()`
`static def` | `mk_tokenSet_41()`
`static def` | `mk_tokenSet_42()`
`static def` | `mk_tokenSet_43()`
`static def` | `mk_tokenSet_44()`
`static def` | `mk_tokenSet_45()`
`static def` | `mk_tokenSet_46()`
`static def` | `mk_tokenSet_47()`
`static def` | `mk_tokenSet_48()`
`static def` | `mk_tokenSet_5()`
`static def` | `mk_tokenSet_6()`
`static def` | `mk_tokenSet_7()`
`static def` | `mk_tokenSet_8()`
`static def` | `mk_tokenSet_9()`
`void` | `modifier()`
`void` | `modifiers()`
`void` | `multiplicativeExpression()`
`void` | `newArrayDeclarator()`
`void` | `newExpression()`
`void` | `packageDefinition()`
`void` | `parameterDeclaration()`
`void` | `parameterDeclarationList()`
`void` | `parameterModifier()`
`void` | `postfixExpression()`
`void` | `primaryExpression()`
`void` | `relationalExpression()`
`void` | `setFilename(String f)`
`void` | `setSourceBuffer(SourceBuffer sourceBuffer)`
`void` | `shiftExpression()`
`void` | `statement()`
`void` | `superClassClause()`
`void` | `throwsClause()`
`void` | `traditionalForClause()`
`void` | `tryBlock()`
`void` | `type()`
`void` | `typeArgument()`
`void` | `typeArgumentBounds()`
`void` | `typeArgumentSpec()`
`void` | `typeArguments()`
`void` | `typeArgumentsOrParametersEnd()`
`void` | `typeDefinition()`
`void` | `typeDefinitionInternal(AST mods)`
`void` | `typeParameter()`
`void` | `typeParameterBounds()`
`void` | `typeParameters()`
`void` | `typeSpec(boolean addImagNode)`
`void` | `unaryExpression()`
`void` | `unaryExpressionNotPlusMinus()`
`void` | `varInitializer()`
`void` | `variableDeclarator(AST mods, AST t)` Declaration of a variable.
`void` | `variableDefinitions(AST mods, AST t)`
`void` | `variableLengthParameterDeclaration()`
`void` | `wildcardType()`

Constructor Detail

### JavaRecognizer

    JavaRecognizer(TokenBuffer tokenBuf, int k)

  Counts the number of LT seen in the typeArguments production. It is used in semantic predicates to ensure we have seen enough closing '>' characters; which actually may have been either GT, SR or BSR tokens.

### JavaRecognizer

    public JavaRecognizer(TokenBuffer tokenBuf)

### JavaRecognizer

    JavaRecognizer(TokenStream lexer, int k)

### JavaRecognizer

    public JavaRecognizer(TokenStream lexer)

### JavaRecognizer

    public JavaRecognizer(ParserSharedInputState state)

Method Detail

### aCase

    public void aCase()

### additiveExpression

    public void additiveExpression()

### andExpression

    public void andExpression()

### annotation

    public void annotation()

### annotationArguments

    public void annotationArguments()

### annotationBlock

    public void annotationBlock()

### annotationDefinition

    public void annotationDefinition(AST modifiers)

### annotationField

    public void annotationField()

### annotationMemberArrayInitializer

    public void annotationMemberArrayInitializer()

### annotationMemberArrayValueInitializer

    public void annotationMemberArrayValueInitializer()

### annotationMemberValueInitializer

    public void annotationMemberValueInitializer()

### annotationMemberValuePair

    public void annotationMemberValuePair()

### annotations

    public void annotations()

### anntotationMemberValuePairs

    public void anntotationMemberValuePairs()

### argList

    public void argList()

### arrayInitializer

    public void arrayInitializer()

### assignmentExpression

    public void assignmentExpression()

### buildTokenTypeASTClassMap

    void buildTokenTypeASTClassMap()

### builtInType

    public void builtInType()

### builtInTypeArraySpec

    public void builtInTypeArraySpec(boolean addImagNode)

### builtInTypeSpec

    public void builtInTypeSpec(boolean addImagNode)

### caseSList

    public void caseSList()

### casesGroup

    public void casesGroup()

### classBlock

    public void classBlock()

### classDefinition

    public void classDefinition(AST modifiers)

### classField

    public void classField()

### classOrInterfaceType

    public void classOrInterfaceType(boolean addImagNode)

### classTypeSpec

    public void classTypeSpec(boolean addImagNode)

### compilationUnit

    public void compilationUnit()

### compoundStatement

    public void compoundStatement()

### conditionalExpression

    public void conditionalExpression()

### constant

    public void constant()

### constructorBody

    public void constructorBody()

### create

    public AST create(int type, String txt, Token first, Token last)

  Create an AST node with the token type and text passed in, but with the same background information as another supplied Token (e.g. line numbers) to be used in place of antlr tree construction syntax, i.e. #[TOKEN,"text"] becomes create(TOKEN,"text",anotherToken) todo - change antlr.ASTFactory to do this instead...

### ctorHead

    public void ctorHead()

### declaration

    public void declaration()

### declaratorBrackets

    public void declaratorBrackets(AST typ)

### enumBlock

    public void enumBlock()

### enumConstant

    public void enumConstant()

### enumConstantBlock

    public void enumConstantBlock()

### enumConstantField

    public void enumConstantField()

### enumDefinition

    public void enumDefinition(AST modifiers)

### equalityExpression

    public void equalityExpression()

### exclusiveOrExpression

    public void exclusiveOrExpression()

### explicitConstructorInvocation

    public void explicitConstructorInvocation()

  Catch obvious constructor calls, but not the expr.super(...) calls

### expression

    public void expression()

### expressionList

    public void expressionList()

### finallyClause

    public void finallyClause()

### forCond

    public void forCond()

### forEachClause

    public void forEachClause()

### forInit

    public void forInit()

### forIter

    public void forIter()

### forStatement

    public void forStatement()

### getLexer

    public JavaLexer getLexer()

### handler

    public void handler()

### identPrimary

    public void identPrimary()

  Match a, a.b.c refs, a.b.c(...) refs, a.b.c[], a.b.c[].class, and a.b.c.class refs. Also this(...) and super(...). Match this or super.

### identifier

    public void identifier()

### identifierStar

    public void identifierStar()

### implementsClause

    public void implementsClause()

### importDefinition

    public void importDefinition()

### inclusiveOrExpression

    public void inclusiveOrExpression()

### initializer

    public void initializer()

### interfaceBlock

    public void interfaceBlock()

### interfaceDefinition

    public void interfaceDefinition(AST modifiers)

### interfaceExtends

    public void interfaceExtends()

### interfaceField

    public void interfaceField()

### logicalAndExpression

    public void logicalAndExpression()

### logicalOrExpression

    public void logicalOrExpression()

### make

    public static JavaRecognizer make(JavaLexer lexer)

  This factory is the correct way to wire together a Groovy parser and lexer.

### make

    public static JavaRecognizer make(InputStream in)

### make

    public static JavaRecognizer make(Reader in)

### make

    public static JavaRecognizer make(InputBuffer in)

### make

    public static JavaRecognizer make(LexerSharedInputState in)

### mk_tokenSet_0

    static def mk_tokenSet_0()

### mk_tokenSet_1

    static def mk_tokenSet_1()

### mk_tokenSet_10

    static def mk_tokenSet_10()

### mk_tokenSet_11

    static def mk_tokenSet_11()

### mk_tokenSet_12

    static def mk_tokenSet_12()

### mk_tokenSet_13

    static def mk_tokenSet_13()

### mk_tokenSet_14

    static def mk_tokenSet_14()

### mk_tokenSet_15

    static def mk_tokenSet_15()

### mk_tokenSet_16

    static def mk_tokenSet_16()

### mk_tokenSet_17

    static def mk_tokenSet_17()

### mk_tokenSet_18

    static def mk_tokenSet_18()

### mk_tokenSet_19

    static def mk_tokenSet_19()

### mk_tokenSet_2

    static def mk_tokenSet_2()

### mk_tokenSet_20

    static def mk_tokenSet_20()

### mk_tokenSet_21

    static def mk_tokenSet_21()

### mk_tokenSet_22

    static def mk_tokenSet_22()

### mk_tokenSet_23

    static def mk_tokenSet_23()

### mk_tokenSet_24

    static def mk_tokenSet_24()

### mk_tokenSet_25

    static def mk_tokenSet_25()

### mk_tokenSet_26

    static def mk_tokenSet_26()

### mk_tokenSet_27

    static def mk_tokenSet_27()

### mk_tokenSet_28

    static def mk_tokenSet_28()

### mk_tokenSet_29

    static def mk_tokenSet_29()

### mk_tokenSet_3

    static def mk_tokenSet_3()

### mk_tokenSet_30

    static def mk_tokenSet_30()

### mk_tokenSet_31

    static def mk_tokenSet_31()

### mk_tokenSet_32

    static def mk_tokenSet_32()

### mk_tokenSet_33

    static def mk_tokenSet_33()

### mk_tokenSet_34

    static def mk_tokenSet_34()

### mk_tokenSet_35

    static def mk_tokenSet_35()

### mk_tokenSet_36

    static def mk_tokenSet_36()

### mk_tokenSet_37

    static def mk_tokenSet_37()

### mk_tokenSet_38

    static def mk_tokenSet_38()

### mk_tokenSet_39

    static def mk_tokenSet_39()

### mk_tokenSet_4

    static def mk_tokenSet_4()

### mk_tokenSet_40

    static def mk_tokenSet_40()

### mk_tokenSet_41

    static def mk_tokenSet_41()

### mk_tokenSet_42

    static def mk_tokenSet_42()

### mk_tokenSet_43

    static def mk_tokenSet_43()

### mk_tokenSet_44

    static def mk_tokenSet_44()

### mk_tokenSet_45

    static def mk_tokenSet_45()

### mk_tokenSet_46

    static def mk_tokenSet_46()

### mk_tokenSet_47

    static def mk_tokenSet_47()

### mk_tokenSet_48

    static def mk_tokenSet_48()

### mk_tokenSet_5

    static def mk_tokenSet_5()

### mk_tokenSet_6

    static def mk_tokenSet_6()

### mk_tokenSet_7

    static def mk_tokenSet_7()

### mk_tokenSet_8

    static def mk_tokenSet_8()

### mk_tokenSet_9

    static def mk_tokenSet_9()

### modifier

    public void modifier()

### modifiers

    public void modifiers()

### multiplicativeExpression

    public void multiplicativeExpression()

### newArrayDeclarator

    public void newArrayDeclarator()

### newExpression

    public void newExpression()

### packageDefinition

    public void packageDefinition()

### parameterDeclaration

    public void parameterDeclaration()

### parameterDeclarationList

    public void parameterDeclarationList()

### parameterModifier

    public void parameterModifier()

### postfixExpression

    public void postfixExpression()

### primaryExpression

    public void primaryExpression()

### relationalExpression

    public void relationalExpression()

### setFilename

    public void setFilename(String f)

### setSourceBuffer

    public void setSourceBuffer(SourceBuffer sourceBuffer)

### shiftExpression

    public void shiftExpression()

### statement

    public void statement()

### superClassClause

    public void superClassClause()

### throwsClause

    public void throwsClause()

### traditionalForClause

    public void traditionalForClause()

### tryBlock

    public void tryBlock()

### type

    public void type()

### typeArgument

    public void typeArgument()

### typeArgumentBounds

    public void typeArgumentBounds()

### typeArgumentSpec

    public void typeArgumentSpec()

### typeArguments

    public void typeArguments()

### typeArgumentsOrParametersEnd

    void typeArgumentsOrParametersEnd()

### typeDefinition

    public void typeDefinition()

### typeDefinitionInternal

    void typeDefinitionInternal(AST mods)

### typeParameter

    public void typeParameter()

### typeParameterBounds

    public void typeParameterBounds()

### typeParameters

    public void typeParameters()

### typeSpec

    public void typeSpec(boolean addImagNode)

### unaryExpression

    public void unaryExpression()

### unaryExpressionNotPlusMinus

    public void unaryExpressionNotPlusMinus()

### varInitializer

    public void varInitializer()

### variableDeclarator

    public void variableDeclarator(AST mods, AST t)

  Declaration of a variable. This can be a class/instance variable, or a local variable in a method It can also include possible initialization.

### variableDefinitions

    public void variableDefinitions(AST mods, AST t)

### variableLengthParameterDeclaration

    public void variableLengthParameterDeclaration()

### wildcardType

    public void wildcardType()